CUDNN Frontend API 8.3.0

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
cudnn_frontend::ReductionDesc_v8 Class Reference

`#include <cudnn_frontend_ReductionDesc.h>`

Inheritance diagram for cudnn_frontend::ReductionDesc_v8:
Collaboration diagram for cudnn_frontend::ReductionDesc_v8:

## Public Member Functions
std::string | describe () const override
| Return a string describing the backend Descriptor. More...
| ReductionDesc_v8 (ReductionDesc_v8 &&from)=default
ReductionDesc_v8 & | operator= (ReductionDesc_v8 &&from)=default
| ~ReductionDesc_v8 ()=default
Public Member Functions inherited from cudnn_frontend::BackendDescriptor
cudnnBackendDescriptor_t | get_raw_desc () const
cudnnStatus_t | get_status () const
| Current status of the descriptor. More...
void | set_status (cudnnStatus_t const status_) const
| Set status of the descriptor. More...
void | set_error (const char *message) const
| Set Diagonistic error message. More...
const char * | get_error () const
| Diagonistic error message if any. More...
ManagedOpaqueDescriptor | get_desc () const
| Returns a copy of underlying managed descriptor. More...
cudnnStatus_t | initialize_managed_backend_pointer (cudnnBackendDescriptorType_t type)
| Initializes the underlying managed descriptor. More...

## Private Member Functions
| ReductionDesc_v8 ()=default
| ReductionDesc_v8 (ReductionDesc_v8 const &)=delete
ReductionDesc_v8 & | operator= (ReductionDesc_v8 const &)=delete

## Private Attributes
cudnnDataType_t | math_precision = CUDNN_DATA_FLOAT
cudnnReduceTensorOp_t | reduction_op = CUDNN_REDUCE_TENSOR_ADD

## Friends
class | ReductionDescBuilder_v8

## Additional Inherited Members
Protected Member Functions inherited from cudnn_frontend::BackendDescriptor
| BackendDescriptor (ManagedOpaqueDescriptor pointer_, cudnnStatus_t status_, std::string err_msg_)
| BackendDescriptor ()=default
Protected Attributes inherited from cudnn_frontend::BackendDescriptor
ManagedOpaqueDescriptor | pointer
cudnnStatus_t | status = CUDNN_STATUS_SUCCESS
| Shared pointer of the OpaqueBackendPointer. More...
std::string | err_msg
| Error message if any being set. More...

## Detailed Description

ReductionDesc Descriptor Class This class tells the properties of the Reduction operation Properties:

- math_precision
- reduction_op

Use ReductionDesc_v8 to build this class. Describe returns a string describing the Reduction operation

Definition at line 48 of file cudnn_frontend_ReductionDesc.h.

## Constructor & Destructor Documentation

## ◆ ReductionDesc_v8() [1/3]

cudnn_frontend::ReductionDesc_v8::ReductionDesc_v8 | ( | ReductionDesc_v8 && | from | ) |
| default

## ◆ ~ReductionDesc_v8()

cudnn_frontend::ReductionDesc_v8::~ReductionDesc_v8 | ( |  | ) |
| default

Referenced by describe().

## ◆ ReductionDesc_v8() [2/3]

cudnn_frontend::ReductionDesc_v8::ReductionDesc_v8 | ( |  | ) |
| privatedefault

Referenced by describe().

## ◆ ReductionDesc_v8() [3/3]

cudnn_frontend::ReductionDesc_v8::ReductionDesc_v8 | ( | ReductionDesc_v8 const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ describe()

std::string cudnn_frontend::ReductionDesc_v8::describe | ( |  | ) | const
| inlineoverridevirtual

Return a string describing the backend Descriptor.

Implements cudnn_frontend::BackendDescriptor.

Definition at line 52 of file cudnn_frontend_ReductionDesc.h.

References math_precision, operator=(), reduction_op, ReductionDesc_v8(), and ~ReductionDesc_v8().

## ◆ operator=() [1/2]

ReductionDesc_v8& cudnn_frontend::ReductionDesc_v8::operator= | ( | ReductionDesc_v8 && | from | ) |
| default

Referenced by cudnn_frontend::ReductionDescBuilder_v8::build(), and describe().

## ◆ operator=() [2/2]

ReductionDesc_v8& cudnn_frontend::ReductionDesc_v8::operator= | ( | ReductionDesc_v8 const & |  | ) |
| privatedelete

## Friends And Related Function Documentation

## ◆ ReductionDescBuilder_v8

friend class ReductionDescBuilder_v8
| friend

Definition at line 50 of file cudnn_frontend_ReductionDesc.h.

Referenced by cudnn_frontend::ReductionDescBuilder_v8::build().

## Member Data Documentation

## ◆ math_precision

cudnnDataType_t cudnn_frontend::ReductionDesc_v8::math_precision = CUDNN_DATA_FLOAT
| private

Definition at line 71 of file cudnn_frontend_ReductionDesc.h.

Referenced by describe().

## ◆ reduction_op

cudnnReduceTensorOp_t cudnn_frontend::ReductionDesc_v8::reduction_op = CUDNN_REDUCE_TENSOR_ADD
| private

Definition at line 72 of file cudnn_frontend_ReductionDesc.h.

Referenced by describe().

The documentation for this class was generated from the following file:

- cudnn_frontend_ReductionDesc.h